power_meter_t Struct Reference

`#include <power_meter.h>`

## Public Attributes

int | shift
int32_t | reading

## Detailed Description

Power meter descriptor. This defines the working state for a single instance of a power measurement device.

## Member Data Documentation

## reading

int32_t power_meter_t::reading

The current power reading.

Referenced by power_meter_current(), power_meter_current_dbm0(), power_meter_current_dbov(), power_meter_init(), and power_meter_update().

## shift

int power_meter_t::shift

The shift factor, which controls the damping of the power meter.

Referenced by power_meter_damping(), power_meter_init(), and power_meter_update().

The documentation for this struct was generated from the following file:

- power_meter.h